सामग्री पर जाएँ

EVF-SAM2 Segmentation

इंटीग्रेट करें

मॉडल id evf-sam
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/evf-sam?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.005 5 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Open model इमेज एडिटिंग #segmentation#mask

टेक्स्ट-निर्देशित इमेज सेगमेंटेशन, जो सकारात्मक और नकारात्मक प्रॉम्प्ट से मास्क लौटाता है

Open model · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

Segmentation के लिए उपयोग किया जाने वाला प्रॉम्प्ट।

प्रॉम्प्ट के परिणामों से घटाकर segmentation से बाहर रखे गए क्षेत्र।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

इनपुट इमेज का URL।

उन्नत blur_mask · expand_mask · semantic_type · mask_only · use_grounding_dino · revert_mask · fill_holes
डिफ़ॉल्ट 0

Mask के लिए Gaussian blur kernel size; मान odd होना चाहिए।

डिफ़ॉल्ट 0

दिए गए pixel count के अनुसार mask को बाहर की ओर dilate करें।

POST /run/evf-sam?wait=20 कोटेशन → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/evf-sam?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

EVF-SAM2 Segmentation के बारे में

`prompt` में वर्णित इमेज के क्षेत्रों को सेगमेंट करता है, जबकि `negative_prompt` क्षेत्रों को हटाता है। विकल्पों में `semantic_type`, `use_grounding_dino`, `revert_mask`, `fill_holes`, `blur_mask` (0 से 50) और `expand_mask` (0 से 20) शामिल हैं। `mask_only` का डिफ़ॉल्ट true है और यह मास्क की गई इमेज के बजाय बाइनरी मास्क लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
Segmentation के लिए उपयोग किया जाने वाला प्रॉम्प्ट।
negative_promptवैकल्पिक
प्रकारstring | null
प्रॉम्प्ट के परिणामों से घटाकर segmentation से बाहर रखे गए क्षेत्र।
semantic_typeवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
शरीर के हिस्सों, backgrounds या कई objects की semantic segmentation सक्षम करें।
image_urlआवश्यक image
प्रकारurl · image
इनपुट इमेज का URL।
mask_onlyवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
मास्क की गई इमेज के बजाय केवल बाइनरी मास्क लौटाएँ।
use_grounding_dinoवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
Segmentation में SAM के बजाय GroundingDINO का उपयोग किया जाता है।
revert_maskवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
Mask को उलटकर foreground और background की अदला-बदली करें।
blur_maskवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
0 – 50
Mask के लिए Gaussian blur kernel size; मान odd होना चाहिए।
expand_maskवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
0 – 20
दिए गए pixel count के अनुसार mask को बाहर की ओर dilate करें।
fill_holesवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
Mask के holes भरने के लिए morphological operations का उपयोग करें।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "evf-sam",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size}Segmentation द्वारा बनाई गई इमेज।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/evf-sam.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt